curl --request POST \
--url https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/attach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"interface": "crn:network:sa-saopaulo-1:my-account:vpc/prod/subnet/public/interface/eth0",
"address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/attach"
payload = {
"interface": "crn:network:sa-saopaulo-1:my-account:vpc/prod/subnet/public/interface/eth0",
"address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
interface: 'crn:network:sa-saopaulo-1:my-account:vpc/prod/subnet/public/interface/eth0',
address_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/attach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"floating_ip": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:network:sa-saopaulo-1:my-account:floating-ip/<uuid>",
"family": "ipv6",
"attached_to": "crn:network:sa-saopaulo-1:my-account:vpc/prod/subnet/public/interface/eth0",
"members": [
{
"interface": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:network:sa-saopaulo-1:my-account:vpc/prod/subnet/public/interface/eth0",
"instance": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:compute:sa-saopaulo-1:my-account:instance/web",
"name": "<string>"
}
},
"health": "unknown",
"reason": "unprobed",
"created_at": "2023-11-07T05:31:56Z",
"address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"tags": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address": "212.66.52.71",
"visibility": "public",
"description": "Public IP for the web load balancer",
"health_check": {
"protocol": "http",
"port": 8080,
"interval_sec": 30,
"timeout_sec": 5,
"healthy_threshold": 3,
"unhealthy_threshold": 3,
"path": "/healthz",
"matcher": "200-299"
},
"subnet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vpc_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Anexar um IP flutuante a uma interface
Vincula o IP flutuante à interface fornecida e roteia o IP público para a instância atrás dele. A reassociação idempotente à mesma interface é um não-op.
Ao anexar uma segunda NIC distinta, retorna 409 com uma mensagem direcionando você para pools de instâncias. Vários membros requerem um endereço de propriedade do pool; use POST /v1/instance-pools/{pool_id}/floating-ips para gerenciar esses vínculos. Um endereço já pertencente a um pool ou vinculado a um balanceador de carga é recusado aqui (409). Uma NIC manualmente anexada sem uma verificação de integridade tem integridade unknown e permanece anunciada.
A sub-rede da interface já deve rotear 0.0.0.0/0 para um gateway de internet, ou o endereço seria devolvido como inalcançável (400).
network:AttachFloatingIP. Consulte permissões de redes para obter a lista completa, o que cada uma abrange e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Cabeçalhos
Chave opcional gerada pelo cliente que torna uma criação segura para reprodução. A reintentar uma solicitação com a mesma chave retorna o resultado original literalmente em vez de criar um recurso duplicado. A reutilização de uma chave com um corpo de solicitação diferente é rejeitada (422); uma solicitação cuja chave ainda está sendo processada retorna 409. Os registros são honrados por 24 horas. Use um UUID ou token exclusivo semelhante.
255Parâmetros de caminho
ID de IP flutuante
Corpo
Resposta
Anexo
Show child attributes
Show child attributes

